/// class PD.Manage.Modules.ReportsToolbarSegment
// using PD.Web.UI.Controls.ToolbarSegment

PD.Manage.Modules.ReportsToolbarSegment =
PD.Web.UI.Controls.ToolbarSegment.extend({

    //===================================
    // EVENT HANDLERS
    //===================================

    onRegisterItems: function (e) {

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/reports:report/create-dialog"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/reports:report/edit-dialog"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/reports:report/delete"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/reports:report/download-template"
        }));

    }

});